function [pout,xd,j] = fhn2d_po_secant( x0,p)
options = dopset('AbsTol',1e-14,'RelTol',1e-12,'EventTol',1e-14,'Events',1);
    
%x0 = -1.04131;
%p = [1, 0.05, 1.2, 0.3921,1,1];
x= [x0,(-p(1)*x0-p(2))/p(3)+1e-14];
ssteps = 20;
pd = zeros(ssteps,3);
%
p1 = p;
[ts,pts,te,ye,ie,stats] = dop853('fhn_el3',[0 1000],x,options,p1);
xd1 = pts(end,:) - x;
pd(1,:) = [p1(4),xd1];


p2 = p;
p2(4) = p2(4) + 1e-8;
[ts,pts,te,ye,ie,stats] = dop853('fhn_el3',[0 1000],x,options,p2);
xd2 = pts(end,:) - x;
pd(2,:) = [p2(4),xd2];
%
for j= 3:ssteps
    p(4) = pd(j-1,1) - pd(j-1,2)*(pd(j-1,1) - pd(j-2,1))/(pd(j-1,2) - pd(j-2,2));
    [ts,pts,te,ye,ie,stats] = dop853('fhn_el3',[0 1000],x,options,p);
    xd = pts(end,:) - x;
    pd(j,:) = [p(4),xd];
    if (norm(xd) < 1e-13)
%        j = j
        break
    end
end
pout = p(4);
% figure(1)
% clf
% plot(pts(:,1),pts(:,2))
% drawnow
